Retrieve a representative | Moov Documentation

Retrieve a representative

Retrieve a specific representative associated with a given Moov account. Read our business representatives guide to learn more.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/representatives.read scope.

Request

GET

/accounts/{accountID}/representatives/{representativeID}

Example Requests

cURL

curl -X GET "https://api.moov.io/accounts/{accountID}/representatives/{representativeID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

Go

mc, _ := moov.NewClient()

var accountID string
var representativeID string

mc.GetRepresentative(ctx, accountID, representativeID)

TypeScript

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.representatives.get({
    accountID: "071b8a57-e691-4e4b-9143-75f1a828ce9b",
    representativeID: "00d87070-b167-48e6-be2f-198b5e1556c4",
  });

console.log(result);
}

run();

PHP

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->representatives->get(
    accountID: '071b8a57-e691-4e4b-9143-75f1a828ce9b',
    representativeID: '00d87070-b167-48e6-be2f-198b5e1556c4'
);

if ($response->representative !== null) {
    // handle response
}

Java

package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetRepresentativeResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

GetRepresentativeResponse res = sdk.representatives().get()
                .accountID("071b8a57-e691-4e4b-9143-75f1a828ce9b")
                .representativeID("00d87070-b167-48e6-be2f-198b5e1556c4")
                .call();

if (res.representative().isPresent()) {
            System.out.println(res.representative().get());
        }
    }
}

Python

from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.representatives.get(account_id="071b8a57-e691-4e4b-9143-75f1a828ce9b", representative_id="00d87070-b167-48e6-be2f-198b5e1556c4")

# Handle response
    print(res)

Ruby

require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.representatives.get(account_id: '071b8a57-e691-4e4b-9143-75f1a828ce9b', representative_id: '00d87070-b167-48e6-be2f-198b5e1556c4')

unless res.representative.nil?
  # handle response
end

C#

using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.Representatives.GetAsync(
    accountID: "071b8a57-e691-4e4b-9143-75f1a828ce9b",
    representativeID: "00d87070-b167-48e6-be2f-198b5e1556c4"
);

// handle response

Response

The request completed successfully.

Example Response

Describes a business representative.

{
  "representativeID": "string",
  "name": {
    "firstName": "Jordan",
    "middleName": "Reese",
    "lastName": "Lee",
    "suffix": "Jr"
  },
  "phone": {
    "number": "8185551212",
    "countryCode": "1"
  },
  "email": "jordan.lee@classbooker.dev",
  "address": {
    "addressLine1": "123 Main Street",
    "addressLine2": "Apt 302",
    "city": "Boulder",
    "stateOrProvince": "CO",
    "postalCode": "80301",
    "country": "US"
  },
  "birthDateProvided": true,
  "governmentIDProvided": true,
  "responsibilities": {
    "isController": true,
    "isOwner": true,
    "ownershipPercentage": 38,
    "jobTitle": "CEO"
  },
  "createdOn": "2019-08-24T14:15:22Z",
  "updatedOn": "2019-08-24T14:15:22Z",
  "disabledOn": "2019-08-24T14:15:22Z"
}

Error Responses

API Version

Set this header to v2026.07.00 to use the API described in this specification.